#ifndef _Color_H_
#define _Color_H_

#include <string>

struct RGB {
    double r;
    double g;
    double b;
};

struct HSB {
    double h;
    double s;
    double b;
};

class Color {
    public:
        Color(const RGB& rgb);
        Color(const HSB& hsb);
        Color(const std::string& hex);

        operator RGB() const { return _rgb; }
        operator HSB() const;

        Color& operator=(const RGB& rgb);
        Color& operator=(const HSB& hsb);

    private:
        RGB _rgb;
};

#endif // _Color_H_
